com.example.instilostandfound

## Class ImageAdapter

- java.lang.Object
- - androidx.recyclerview.widget.RecyclerView.Adapter<ImageAdapter.ImageViewHolder>
  - - com.example.instilostandfound.ImageAdapter

    public class ImageAdapter
    extends androidx.recyclerview.widget.RecyclerView.Adapter<ImageAdapter.ImageViewHolder>

### Nested Class Summary

Nested Classes
`class` `ImageAdapter.ImageViewHolder`

### Constructor Summary

Constructors
Constructor and Description
`ImageAdapter(android.content.Context context, java.util.List<CreateFoundObject> uploads)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getItemCount()`
`void` `onBindViewHolder(ImageAdapter.ImageViewHolder holder, int position)`
`ImageAdapter.ImageViewHolder` `onCreateViewHolder(android.view.ViewGroup parent, int viewType)`

### Methods inherited from class androidx.recyclerview.widget.RecyclerView.Adapter

`bindViewHolder, createViewHolder, getItemId, getItemViewType, hasObservers, hasStableIds, notifyDataSetChanged, notifyItemChanged, notifyItemChanged, notifyItemInserted, notifyItemMoved, notifyItemRangeChanged, notifyItemRangeChanged, notifyItemRangeInserted, notifyItemRangeRemoved, notifyItemRemoved, onAttachedToRecyclerView, onBindViewHolder, onDetachedFromRecyclerView, onFailedToRecycleView, onViewAttachedToWindow, onViewDetachedFromWindow, onViewRecycled, registerAdapterDataObserver, setHasStableIds, unregisterAdapterDataObserver`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImageAdapter

    public ImageAdapter(android.content.Context context,
                        java.util.List<CreateFoundObject> uploads)

### Method Detail

#### onCreateViewHolder

    public ImageAdapter.ImageViewHolder onCreateViewHolder(android.view.ViewGroup parent,
                                                           int viewType)

Specified by:
  `onCreateViewHolder` in class `androidx.recyclerview.widget.RecyclerView.Adapter<ImageAdapter.ImageViewHolder>`

#### onBindViewHolder

    public void onBindViewHolder(ImageAdapter.ImageViewHolder holder,
                                 int position)

Specified by:
  `onBindViewHolder` in class `androidx.recyclerview.widget.RecyclerView.Adapter<ImageAdapter.ImageViewHolder>`

#### getItemCount

    public int getItemCount()

Specified by:
  `getItemCount` in class `androidx.recyclerview.widget.RecyclerView.Adapter<ImageAdapter.ImageViewHolder>`